import { NodeMods, RenderOptions } from '../../nodes/AbstractNode';
import { EnumNode } from '../../nodes/EnumNode';
import { Path } from '../../model/Path';
import { TreeView } from '../../view/TreeView';
export interface ResourceNodeMods extends NodeMods<string> {
    additional?: boolean;
}
export declare class ResourceNode extends EnumNode {
    additional: boolean;
    constructor(options: string[], mods?: ResourceNodeMods);
    getState(el: Element): string;
    render(path: Path, value: string, view: TreeView, options?: RenderOptions): string;
}
